# Class BintableColumnHeader

java.lang.Object
uk.ac.starlink.fits.BintableColumnHeader

public abstract class BintableColumnHeader extends Object
Understands how per-column metadata is stored in the headers of a FITS BINTABLE extension.

Since:
  21 Mar 2017
Author:
  Mark Taylor

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`BintableColumnHeader(CardFactory cardFactory)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static BintableColumnHeader`
`createStandardHeader(int jcol)`
Returns an instance of this class for use with standard FITS BINTABLE headers.
`CardFactory`
`getCardFactory()`
Returns the card factory to use when constructing header cards associated with this header.
`abstract String`
`getKeyName(String stdName)`
Gives the name of the actual FITS header card for the column managed by this object and a standard FITS BINTABLE base header name.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BintableColumnHeader

protected BintableColumnHeader(CardFactory cardFactory)
Constructor.

Parameters:
  `cardFactory` - object which should be used to construct header cards associated with this header

## Method Details

### getCardFactory

public CardFactory getCardFactory()
Returns the card factory to use when constructing header cards associated with this header.

Returns:
  header card factory

### getKeyName

public abstract String getKeyName(String stdName)
Gives the name of the actual FITS header card for the column managed by this object and a standard FITS BINTABLE base header name.

Parameters:
  `stdName` - standard base name for the metadata item (for instance "TFORM" for TFORMnnn)
Returns:
  complete FITS header card key name

### createStandardHeader

public static BintableColumnHeader createStandardHeader(int jcol)
Returns an instance of this class for use with standard FITS BINTABLE headers.

Parameters:
  `jcol` - column index (first column has value 1)
Returns:
  new instance